set LOGGING_LEVEL=ALL
set LOG_FILE_LOCATION=%RPA_HOME%/logs/RPA_MA.log
set DCI_IP_ADDRESS=

rem !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
rem !!!!!!!!!!!!!! DO NOT EDIT ANYTHING BELOW THIS POINT !!!!!!!!!!!!!!!!!!!!!!!
rem !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

rem ---------------------------------------------------------------------------
rem | Define some additional helper environment variables											|
rem ---------------------------------------------------------------------------
rem set DEBUG_RPA_LAUNCHER=1
set SEPARATOR=;
set HYADES_PLUGINS=%AC_HOME%/plugins

rem ---------------------------------------------------------------------------
rem | Configure the launch parameters.  																			|
rem ---------------------------------------------------------------------------
set HPATH=%AC_HOME%/lib
set TPATH=%ARM_HOME%/lib
set CONFIG_PATH="-Djlog.propertyFileDir=%ARM_HOME%/config/"
set ROOTDIR="-Darm.plugin.rootdir=%ARM_HOME%/"
set ARMCONTROLLER="-Dtmtp.arm.controller=com.ibm.tivoli.transperf.arm.impl.TMTPArmControllerFactory"
set MSID="-Darm.plugin.msid=11111111111111111111111111111111"
IF NOT DEFINED DCI_IP_ADDRESS GOTO CONTINUE
	set IPADDRESS="-Dcom.ibm.rpa.runtime.ip=%DCI_IP_ADDRESS%"
:CONTINUE
set RUNTIME_PROPERTIES=%CONFIG_PATH% %ROOTDIR% %ARMCONTROLLER% %MSID% %IPADDRESS%

rem ---------------------------------------------------------------------------
rem | Define the logging parameters. 			     																|
rem ---------------------------------------------------------------------------
set LOGGING_CLASS="-Djava.util.logging.config.class=com.ibm.rpa.runtime.LogConfig"
set LOG_FILEHANDLER="-Dlog.fileHandler=java.util.logging.FileHandler"
set LOG_FORMATTER="-Dlog.formatter=org.eclipse.hyades.logging.java.XmlFormatter"
set LOG_PATTERN="-Dlog.pattern=%LOG_FILE_LOCATION%"
set LOG_RPA_SEVERITY="-Dlog.rpa.severity=%LOGGING_LEVEL%"
set LOGGING_PROPERTIES=%LOGGING_CLASS% %LOG_FILEHANDLER% %LOG_FORMATTER% %LOG_PATTERN% %LOG_RPA_SEVERITY%

rem ---------------------------------------------------------------------------
rem | Generate the classpath. Because the date is tagged to most of the JARS,	|
rem | we must dynamically locate the appropriate jar. If, for some reason,    |
rem | there are multiple jars with the same name but different timestamp (ie  |
rem | com.ibm.rpa.core_20070505.jar and com.ibm.rpa.core_20080505.jar), this  |
rem | script will add the most recent jar to the classpath.                   |
rem ---------------------------------------------------------------------------
for %%l in ("%RPA_HOME%/com.ibm.rpa.core*") do set RPA_LOGGING_JAR=%RPA_HOME%/%%~nxl

set HYADES_EXECUTION_JARS=hexcore.jar hexl.jar hexr.jar
set HYADES_LOGGING_JARS=hl14.jar hlcommons.jar hlcore.jar hllog4j.jar 
set TPTP_LOGGING_EVENTS_JARS=hlcbe101.jar tlcbe101.jar tlcore.jar

set JARPATH=
for /d %%l in ("%HYADES_PLUGINS%/org.eclipse.hyades.execution*") do set HYADES_EXECUTION_DIR=%HYADES_PLUGINS%/%%~nxl
for %%s in (%HYADES_EXECUTION_JARS%) do set JARPATH=!JARPATH!%HYADES_EXECUTION_DIR%/%%s%SEPARATOR%

for /d %%l in ("%HYADES_PLUGINS%/org.eclipse.hyades.logging.core*") do set HYADES_LOGGING_DIR=%HYADES_PLUGINS%/%%~nxl
for %%s in (%HYADES_LOGGING_JARS%) do set JARPATH=!JARPATH!%HYADES_LOGGING_DIR%/%%s%SEPARATOR%

for /d %%l in ("%HYADES_PLUGINS%/org.eclipse.tptp.platform.logging.events*") do set TPTP_LOGGING_EVENTS_DIR=%HYADES_PLUGINS%/%%~nxl
for %%s in (%TPTP_LOGGING_EVENTS_JARS%) do set JARPATH=!JARPATH!%TPTP_LOGGING_EVENTS_DIR%/%%s%SEPARATOR%

for %%l in ("%HYADES_PLUGINS%/com.ibm.icu*") do set ICU_JAR=%HYADES_PLUGINS%/%%~nxl
set JARPATH=%JARPATH%%ICU_JAR%%SEPARATOR%

for %%l in ("%HYADES_PLUGINS%/org.eclipse.emf.common*") do set EMF_COMMON=%HYADES_PLUGINS%/%%~nxl
set JARPATH=%JARPATH%%EMF_COMMON%%SEPARATOR%

for %%l in ("%HYADES_PLUGINS%/org.eclipse.emf.ecore*") do set EMF_ECORE=%HYADES_PLUGINS%/%%~nxl
set JARPATH=%JARPATH%%EMF_ECORE%%SEPARATOR%

for %%l in ("%RPA_HOME%/com.ibm.rpa.runtime*") do set RPA_RUNTIME=%RPA_HOME%/%%~nxl
set JARPATH=%JARPATH%%RPA_RUNTIME%%SEPARATOR%

for /d %%l in ("%HYADES_PLUGINS%/org.apache.commons_logging*") do set APACHE_LOGGING_DIR=%HYADES_PLUGINS%/%%~nxl/lib
for %%l in ("%APACHE_LOGGING_DIR%/commons-logging*") do set APACHE_LOGGING_JAR=%APACHE_LOGGING_DIR%/%%~nxl
set JARPATH=%JARPATH%%APACHE_LOGGING_JAR%%SEPARATOR%